org.jboss.netty.handler.codec.http.multipart

## Enum InterfaceHttpData.HttpDataType

- java.lang.Object
- - java.lang.Enum<InterfaceHttpData.HttpDataType>
  - - org.jboss.netty.handler.codec.http.multipart.InterfaceHttpData.HttpDataType

All Implemented Interfaces:
  Serializable, Comparable<InterfaceHttpData.HttpDataType>

Enclosing interface:
  InterfaceHttpData

    public static enum InterfaceHttpData.HttpDataType
    extends Enum<InterfaceHttpData.HttpDataType>

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`Attribute`
`FileUpload`
`InternalAttribute`

### Method Summary

Methods
`static InterfaceHttpData.HttpDataType` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static InterfaceHttpData.HttpDataType[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### Attribute

    public static final InterfaceHttpData.HttpDataType Attribute

#### FileUpload

    public static final InterfaceHttpData.HttpDataType FileUpload

#### InternalAttribute

    public static final InterfaceHttpData.HttpDataType InternalAttribute

### Method Detail

#### values

    public static InterfaceHttpData.HttpDataType[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (InterfaceHttpData.HttpDataType c : InterfaceHttpData.HttpDataType.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static InterfaceHttpData.HttpDataType valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null